
close all
clc

[x,y] = meshgrid(0:0.1:3,0:0.1:3);
n=size(x);
dx = ones(n);
dy =   y.*(2-2*x-y)./ (3-2*x-2*y)./x  ;


for i = 1:numel(x)
rac = sqrt(dx(i)^2 + dy(i)^2);
dx(i) = dx(i)/rac;
dy(i) = dy(i)/rac;
end

[t, yy]=ode45(@population,[0 5],[1 2])




figure
hold on
quiver(x,y,dx,dy)
plot(yy(:,1),yy(:,2),'-')





